Welcome to the PufferPanel community forums! If you need help please register an account and post in the Support category.

Please help with instalation



  • mkdir -p /srv && cd /srv
    curl -L -o pufferpanel.tar.gz https://git.io/vaOuN
    tar -xf pufferpanel.tar.gz
    cd pufferpanel
    ./pufferpanel install



  • @dino147 Please help,doesn't find a mysql server



  • Hi. Did you run this commands to install required things?

    sudo apt-get install -y openssl curl nginx git mysql-client mysql-server php5-fpm php5-cli php5-curl php5-mysql php5-mcrypt
    

    Or you using centos?



  • /var/lib/dpkg/info/mysql-server-5.6.postinst: line 132: logger: command not found
    2016-05-30 19:09:53 0 [Warning] TIMESTAMP with implicit DEFAULT value is deprecated. Please use --explicit_defaults_for_timestamp server option (see documentation for more details).
    2016-05-30 19:09:53 0 [Note] /usr/sbin/mysqld (mysqld 5.6.30-0ubuntu0.15.10.1) starting as process 1225 ...
    /var/lib/dpkg/info/mysql-server-5.6.postinst: line 210: logger: command not found
    dpkg: error processing package mysql-server-5.6 (--configure):
    subprocess installed post-installation script returned error exit status 127
    dpkg: dependency problems prevent configuration of mysql-server:
    mysql-server depends on mysql-server-5.6; however:
    Package mysql-server-5.6 is not configured yet.

    dpkg: error processing package mysql-server (--configure):
    dependency problems - leaving unconfigured
    Setting up libpopt0:amd64 (1.16-10) ...
    /var/lib/dpkg/info/mysql-server-5.6.postinst: line 132: logger: command not found
    2016-05-30 19:09:53 0 [Warning] TIMESTAMP with implicit DEFAULT value is deprecated. Please use --explicit_defaults_for_timestamp server option (see documentation for more details).
    2016-05-30 19:09:53 0 [Note] /usr/sbin/mysqld (mysqld 5.6.30-0ubuntu0.15.10.1) starting as process 1225 ...
    /var/lib/dpkg/info/mysql-server-5.6.postinst: line 210: logger: command not found
    dpkg: error processing package mysql-server-5.6 (--configure):
    subprocess installed post-installation script returned error exit status 127
    dpkg: dependency problems prevent configuration of mysql-server:
    mysql-server depends on mysql-server-5.6; however:
    Package mysql-server-5.6 is not configured yet.

    dpkg: error processing package mysql-server (--configure):
    dependency problems - leaving unconfigured
    Setting up libpopt0:amd64 (1.16-10) ...
    Setting up less (458-3) ...
    debconf: unable to initialize frontend: Dialog
    debconf: (No usable dialog-like program is installed, so the dialog based frontend cannot be used. at /usr/share/perl5/Debconf/FrontEnd/Dialog.pm line 76.)
    debconf: falling back to frontend: Readline
    /var/lib/dpkg/info/mysql-server-5.6.postinst: line 132: logger: command not found
    /var/lib/dpkg/info/mysql-server-5.6.postinst: line 210: logger: command not found
    dpkg: error processing package mysql-server-5.6 (--configure):
    subprocess installed post-installation script returned error exit status 127
    dpkg: dependency problems prevent configuration of mysql-server:
    mysql-server depends on mysql-server-5.6; however:

    Setting up less (458-3) ...
    debconf: unable to initialize frontend: Dialog
    debconf: (No usable dialog-like program is installed, so



  • Try this

    sudo apt-get install bsdutils
    

    Then run mysql installation code again.



  • this looks like a mysql error, when installing you can only use localhost in the installation. its a bug and you could refer to this thread for better info.

    https://community.pufferpanel.com/topic/222/pufferpanel-srv-record

    its also posible that mysql was not configured properly which can be fixed by doing,
    sudo mysql_secure_installation



  • ./pufferpanel install
    PHP 5.5.0+: [Installed]
    PHP-curl: [Installed]
    PHP-hash: [Installed]
    PHP-openssl: [Installed]
    PHP-mcrypt: [Installed]

    PHP-pdo: [Installed]
    PHP-pdo_mysql: [Installed]

    Thank you for using the PufferPanel installer!
    Before we can complete the installation, we need to ask you some questions
    These questions will help configure PufferPanel so that you can get to using it

    MySQL Configuration
    Enter the MySQL host [localhost]: localhost
    Enter the MySQL port [3306]: 3306



  • make sure you have all the login info correct and the mysql user can be access by "127.0.0.1"




  • MySQL Configuration
    Enter the MySQL host [localhost]: localhost
    Enter the MySQL port [3306]: 3306
    Enter the MySQL username (MUST HAVE GRANT) [root]: root
    Enter the MySQL account password: Warning: Using a password on the command line interface can be insecure.
    ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: YES)
    Warning: unknown mime-type for "Database connection could not be established" -- using "application/octet-stream"
    Error: no such file "Database connection could not be established"
    Enter the MySQL account password: Warning: Using a password on the command line interface can be insecure.
    ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: YES)
    Warning: unknown mime-type for "Database connection could not be established" -- using "application/octet-stream"
    Error: no such file "Database connection could not be established"



  • your credentails are invalid make sure your using the right password again make sure the user can be accessed by 127.0.0.1

    worse comes to worse make pufferpanel its own mysql user.



  • Did you created password for mysql? Use sudo mysql_secure_installation to set it.



  • Thanks very much !!!!



  • The problem is solved.


Log in to reply
 

1
Online

666
Users

708
Topics

3.2k
Posts

Looks like your connection to PufferPanel Community was lost, please wait while we try to reconnect.